# SmsMessage

Namespace: **Wisej.Hybrid.Shared.Communication**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Represents a single SMS message.

{% tabs %}
{% tab title="C#" %}

```csharp
public class SmsMessage
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class SmsMessage
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/CCV9PPenlC1YZvNh1I6R)SmsMessage()

Initializes a new instance of the [SmsMessage](/hybrid/start/api/communication/wisej.hybrid.shared.communication.smsmessage.md) class.

### ![](/files/CCV9PPenlC1YZvNh1I6R)SmsMessage(body, recipient)

Initializes a new instance of the [SmsMessage](/hybrid/start/api/communication/wisej.hybrid.shared.communication.smsmessage.md) class.

| Name          | Type                                                          | Description                                                     |
| ------------- | ------------------------------------------------------------- | --------------------------------------------------------------- |
| **body**      | [String](https://docs.microsoft.com/dotnet/api/system.string) | The body text that is used to prefill the composed SMS message. |
| **recipient** | [String](https://docs.microsoft.com/dotnet/api/system.string) | A single recipient that is added to the composed SMS message.   |

### ![](/files/CCV9PPenlC1YZvNh1I6R)SmsMessage(body, recipients)

Initializes a new instance of the [SmsMessage](/hybrid/start/api/communication/wisej.hybrid.shared.communication.smsmessage.md) class.

| Name           | Type                                                                                                   | Description                                                            |
| -------------- | ------------------------------------------------------------------------------------------------------ | ---------------------------------------------------------------------- |
| **body**       | [String](https://docs.microsoft.com/dotnet/api/system.string)                                          | The body text that is used to prefill the composed SMS message.        |
| **recipients** | [IEnumerable\<String>](https://docs.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1) | A collection of recipients that are added to the composed SMS message. |

Values in *recipients* that are or whitespace are not added as recipients.

## Properties

### ![](/files/CCV9PPenlC1YZvNh1I6R)Body

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets the body of this message.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Recipients

[List\<String>](https://docs.microsoft.com/dotnet/api/system.collections.generic.list-1): Gets or sets the recipients for this message.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/communication/wisej.hybrid.shared.communication.smsmessage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
